// CSS for form-inputs
.formInput {
  position: relative;
  display: block;
  width: 100%;
  height: 45px;
  padding-top: 10px;

  // Title + Label after input
  & > .label {
    position: absolute;
    top: 0.5rem;
    left: 0;
    font-size: 1rem;
    color: $color-gray-web;
    font-weight: 500;
    transform-origin: 0 0;
    transform: translateY(5px);
    transition: all 0.3s ease;
    pointer-events: none;
  }

  // The Style for input
  & > .field {
    width: 100%;
    height: 35px;
    border-bottom: 2px solid $color-gray-web;

    // When on user focus in field
    &:focus {
      outline: 0;
      border-bottom: 2px solid $color-black;
    }

    // When user digit on field, change label + field
    &:not(:placeholder-shown) ~ .label {
      color: $color-green-mountain-meadow;
      transform: translateY(-10px) scale(0.75);
    }

    &:not(:placeholder-shown) {
      border-bottom: 2px solid $color-black;
    }

    // Placeholder
    &::placeholder {
    }

    // When on user not have focus on field but has text on field
    &:focus:not(:placeholder-shown) + .label {
      transform: translateY(-10px) scale(0.75);
    }

    /* When on field is disabled (read-only) */
    &:read-only,
    &:read-only ~ .label {
      cursor: not-allowed;
      opacity: .5;
    }

    &:read-only ~ .label {
      color: $color-gray-web;
      transform: translateY(-10px) scale(0.75);
    }

    &:read-only {
      color: $color-gray-web;
      border-bottom: 2px solid $color-gray-web;
    }
  }
}